Page MenuHomePhabricator

Add an item to the grunt lint `task` to lint html
Closed, ResolvedPublic

Description

Use the grunt-htmllintpackage on npm to ensure that html is formatted consistently. Attempt to configure the plugin in line with the existing style in html files. You will have to take care to ensure that the django templating in use in tracker does not trigger errors. You'll need to configure some of htmllint's -ignore-regex settings, specifying regular expressions that match django templates.

Expected skills:

  • Javascript
  • Package management with npm
  • Grunt
  • Regular expressions

Details

Related Gerrit Patches:
wikimedia-cz/tracker : masterEnable grunt-htmllint and fix some errors

Event Timeline

Urbanecm created this task.Dec 4 2018, 1:42 PM
Shreyasminocha renamed this task from Introduce HTML linting to Add an item to the grunt lint `task` to lint html.Dec 4 2018, 6:19 PM
Shreyasminocha triaged this task as Low priority.
Shreyasminocha updated the task description. (Show Details)
Urbanecm moved this task from Inbox to GCI on the WMCZ-Tracker board.
Urbanecm moved this task from Backlog to GCI on the User-Urbanecm board.

Change 477912 had a related patch set uploaded (by Arcayn; owner: Arcayn):
[wikimedia-cz/tracker@master] Enable grunt-htmllint and fix errors for a number of rules

https://gerrit.wikimedia.org/r/477912

Arcayn claimed this task.Dec 5 2018, 9:43 PM

Change 477912 merged by jenkins-bot:
[wikimedia-cz/tracker@master] Enable grunt-htmllint and fix some errors

https://gerrit.wikimedia.org/r/477912

Urbanecm closed this task as Resolved.Dec 7 2018, 2:41 PM